!DIR$ FIXEDFORMLINESIZE:132
      pure subroutine check_sol(Mode, cq, flag)
      use dblocks
      implicit none
      integer*4,  intent(in)  :: Mode
      complex*16, intent(in)  :: cq(1:3)
      logical*4 , intent(out) :: flag

      complex*16 cF, cqz
      real*8 test

      interface
         pure subroutine make_cF(Mode, cq, cF)
         use dblocks
         integer*4,  intent(in)  :: Mode
         complex*16, intent(in)  :: cq(1:3)
         complex*16, intent(out) :: cF
         end subroutine make_cF
      end interface

      cqz  = cq(3)
      call make_cF(Mode, cq, cF)
      test = cdabs(cqz*cqz - rk2*cF) 

      if(test .gt. eps*fact) then
         flag = .false.
      else
         flag = .true.
      end if

      return
      end
