!DIR$ FIXEDFORMLINESIZE:132
      subroutine make_M(msum)
      use dblocks
      implicit none
      real*8, intent(out) :: msum
     
      integer*4 nx, ny, nz
      real*8    ga, Mc, sum_x, sum_y, sum_z

      sum_x = rz

      do 10, nx=-Lx2,Lx2
      if(nx .eq. 0) then
         Mc = ru
      else
         ga = pi2*nx*ax / hx
         Mc = dsin(ga)  / ga
      end if

      Mx(nx) = Mc
      sum_x = sum_x + Mc*Mc
 10   continue

      sum_y = rz

      do 11, ny=-Ly2,Ly2
      if(ny .eq. 0) then
         Mc = ru
      else
         ga = pi2*ny*ay / hy
         Mc = dsin(ga)/ga
      end if

      My(ny) = Mc
      sum_y = sum_y + Mc*Mc
 11   continue

      sum_z = rz

      do 12, nz=-Lz2,Lz2
      if(nz .eq. 0) then
         Mc = ru
      else
         ga = pi2*nz*az / hz
         Mc = dsin(ga)/ga
      end if

      Mz(nz) = Mc
      sum_z = sum_z + Mc*Mc
 12   continue

      msum = rho*sum_x*sum_y*sum_z

      return
      end
